PrecompileExceptDef (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.PrecompileExceptDef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class PrecompileExceptDef

    java.lang.Object
      net.sf.antcontrib.cpptasks.PrecompileExceptDef

    public final class PrecompileExceptDef

extends java.lang.Object

Specifies files that should not be compiled using precompiled headers.

Author:
  Curt Arnold

Constructor Summary
`PrecompileExceptDef(PrecompileDef owner)` Constructor

Method Summary
`void` | `addFileset(ConditionalFileSet exceptSet)` Adds filesets that specify files that should not be processed using precompiled headers.
`void` | `execute()`
`void` | `setDir(java.io.File dir)` Sets the base-directory
`void` | `setIncludes(java.lang.String includes)` Comma or space separated list of file patterns that should not be compiled using precompiled headers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrecompileExceptDef

    public PrecompileExceptDef(PrecompileDef owner)

  Constructor

Method Detail

### addFileset

    public void addFileset(ConditionalFileSet exceptSet)

  Adds filesets that specify files that should not be processed using precompiled headers.

  Parameters:
    `exceptSet` - FileSet specify files that should not be processed with precompiled headers enabled.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setDir

    public void setDir(java.io.File dir)
                throws org.apache.tools.ant.BuildException

  Sets the base-directory

  Throws:
    `org.apache.tools.ant.BuildException`

### setIncludes

    public void setIncludes(java.lang.String includes)

  Comma or space separated list of file patterns that should not be compiled using precompiled headers.

  Parameters:
    `includes` - the string containing the include patterns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.